[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.WriteQWordBE

Write a QWord value, big endian

## Declaration

Source position: streamex.pp line 195

`procedure TStreamHelper.WriteQWordBE(`
`dq: QWord`
`);`

## Arguments

`dq` |  | QWord value to write

## Description

WriteQWordBE writes a QWord-sized value to the stream, big-endian (MSB first).

## Errors

If not all data (8 bytes) can be written, an EWriteError exception is raised.

## See also

TStreamHelper.ReadQWordBE |  | Read a QWord from the stream, big endian
TStreamHelper.WriteDWordBE |  | Write a DWord value, big endian
TStreamHelper.WriteWordBE |  | Write a word value, big endian